Subject: [NEXTEL-1] The Miami Herald | 03/04/2003 | Phat phones in fashion

From: [email-masked]
Date: Tue, 4 Mar 2003 10:33:42 -0500 (EST)

http://www.miami.com/mld/miamiherald/business/5308482.htm

------------------------ Yahoo! Groups Sponsor ---------------------~-->
Yahoo! Web Hosting makes it easy to build a professional web site.
Sign up today and get free set-up, domain name, and more (up to a $100 value)
http://us.click.yahoo.com/m3JvCD/wCpFAA/46VHAA/61FxlB/TM
---------------------------------------------------------------------~->

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/